Skip to main content
`Ctrl`+`K`

# PetscDSSetWeakForm

Sets the weak form object to be used by the `PetscDS`

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetWeakForm(PetscDS ds, PetscWeakForm wf)

Not Collective

## Input Parameters

- ds - The `PetscDS` object

- wf - The weak form object

## See Also

`PetscWeakForm`, `PetscDSGetWeakForm()`, `PetscDSGetNumFields()`, `PetscDSCreate()`

## Level

beginner

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages